apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: alpine-bios
spec:
  dataVolumeTemplates:
    - metadata:
        name: alpine-bios-volume-0
      spec:
        source:
          http:
            url: https://dl-cdn.alpinelinux.org/alpine/v3.22/releases/cloud/generic_alpine-3.22.2-x86_64-bios-cloudinit-r0.qcow2
        storage:
          resources:
            requests:
              storage: 205Mi
    - metadata:
        name: alpine-bios-volume-1
      spec:
        source:
          blank: {}
        storage:
          resources:
            requests:
              storage: 1Gi
  instancetype:
    name: u1.large
  preference:
    name: alpine
  runStrategy: Always
  template:
    spec:
      architecture: amd64
      domain:
        devices:
          disks:
            - disk:
                bus: virtio
              name: alpine-bios-volume-1
        resources: {}
      volumes:
        - dataVolume:
            name: alpine-bios-volume-0
          name: rootdisk
        - dataVolume:
            name: alpine-bios-volume-1
          name: alpine-bios-volume-1

